Bug 770969 - [abrt] xorg-x11-server-utils-7.5-7.fc16: main: Process /usr/bin/xrandr was killed by signal 11 (SIGSEGV)
[abrt] xorg-x11-server-utils-7.5-7.fc16: main: Process /usr/bin/xrandr was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:912952cd68285f391517c4b5590...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-30 10:51 EST by Ali Rohman
Modified: 2013-02-26 10:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:15:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (217.92 KB, text/plain)
2011-12-30 10:52 EST, Ali Rohman
no flags Details

  None (edit)
Description Ali Rohman 2011-12-30 10:51:49 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        xrandr
crash_function: main
executable:     /usr/bin/xrandr
kernel:         3.1.6-1.fc16.i686
pid:            1951
pwd:            /home/alirohman/Documents
reason:         Process /usr/bin/xrandr was killed by signal 11 (SIGSEGV)
time:           Sat 31 Dec 2011 05:33:10 AM WIT
uid:            1000
username:       alirohman

backtrace:      Text file, 223155 bytes

build_ids:
:8370fa6b9809b4547305e1bf64b7c58a2f4a0421
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:d7cd016536dcce05ea28a1219c92eb9507121fa3
:96b666a7f6d7a80ea6f9aef54f0cdd0f6190c058
:15bab279752ad8e30f901abae77bcb1ed1f38977
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:798697a352bae4178953ba502fb04f33dd0ed987
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:10cec21724c13b95ec03f00985b0405412817a49
:12da4d1dc9764d3990ab6a2def5a88c4687d4550
:e2df57c9c62fd69d3dcf714e3661d26660ea2665
:879571cf1e8dd31736d0f24b55e0daffc1591278
:55433495aa80cf9e1f994ea7e7ae278422ef1ede

dso_list:
:/lib/libdl-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1324853614
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1320287310
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1320287310
:/usr/lib/libXext.so.6.4.0 libXext-1.3.0-1.fc16.i686 (Fedora Project) 1324827340
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1320287310
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1324853614
:/lib/libm-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1324853614
:/lib/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.i686 (Fedora Project) 1320287300
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1320287309
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1320287310
:/usr/bin/xrandr xorg-x11-server-utils-7.5-7.fc16.i686 (Fedora Project) 1320287361
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1324853614

environ:
:XDG_VTNR=1
:MANPATH=/usr/share/man/mpich2:/usr/share/man:/usr/local/share/man
:MPI_INCLUDE=/usr/include/mpich2-i386
:SSH_AGENT_PID=1540
:XDG_SESSION_ID=1
:KDE_MULTIHEAD=false
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=alirohman
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=b2da111fb3a6731086fb5d100000000b-1325284357.104539-440461110
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/alirohman/.gtkrc-2.0:/home/alirohman/.gtkrc-2.0-kde4:/home/alirohman/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/alirohman/.gtkrc:/home/alirohman/.kde/share/config/gtkrc
:GNOME_KEYRING_CONTROL=/tmp/keyring-Uno0gt
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:KDE_FULL_SESSION=true
:USER=alirohman
:MPI_PYTHON_SITEARCH=/usr/lib/python2.7/site-packages/mpich2
:LIBGL_DRIVERS_PATH=/usr/lib/dri
:LD_LIBRARY_PATH=/usr/lib/mpich2/lib
:SSH_AUTH_SOCK=/tmp/ssh-kxtxoSJj1517/agent.1517
:MPI_LIB=/usr/lib/mpich2/lib
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1621,unix/unix:/tmp/.ICE-unix/1621
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/java/default/bin:/usr/lib/qt-3.3/bin:/usr/lib/mpich2/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/alirohman/.local/bin:/home/alirohman/bin
:MAIL=/var/spool/mail/alirohman
:MPI_BIN=/usr/lib/mpich2/bin
:MPI_COMPILER=mpich2-i386
:PWD=/home/alirohman/Documents
:_LMFILES_=/etc/modulefiles/mpich2-i386
:JAVA_HOME=/usr/java/default
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1515
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:KDEDIRS=/usr
:LOADEDMODULES=mpich2-i386
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:MPI_SYSCONFIG=/etc/mpich2-i386
:SHLVL=4
:XDG_SEAT=seat0
:HOME=/home/alirohman
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=oxy-neon
:MPI_SUFFIX=_mpich2
:MPI_MAN=/usr/share/man/mpich2
:LOGNAME=alirohman
:PYTHONPATH=/usr/lib/python2.7/site-packages/mpich2
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-P3irBED9c5,guid=e291cf7289f3328db044437400000029
:MODULESHOME=/usr/share/Modules
:MPI_FORTRAN_MOD_DIR=/usr/include/mpich2-i386
:MPI_HOME=/usr/lib/mpich2
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/alirohman
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/alirohman/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:XAUTHORITY=/tmp/kde-alirohman/xauth-1000-_0
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/xrandr

maps:
:00fdd000-00fde000 r-xp 00000000 00:00 0          [vdso]
:08048000-08053000 r-xp 00000000 08:03 33518      /usr/bin/xrandr
:08053000-08054000 r--p 0000a000 08:03 33518      /usr/bin/xrandr
:08054000-08055000 rw-p 0000b000 08:03 33518      /usr/bin/xrandr
:09553000-09574000 rw-p 00000000 00:00 0          [heap]
:4ac26000-4ac47000 r-xp 00000000 08:03 8951       /lib/ld-2.14.90.so
:4ac47000-4ac48000 r--p 00020000 08:03 8951       /lib/ld-2.14.90.so
:4ac48000-4ac49000 rw-p 00021000 08:03 8951       /lib/ld-2.14.90.so
:4ac4b000-4adf1000 r-xp 00000000 08:03 56224      /lib/libc-2.14.90.so
:4adf1000-4adf3000 r--p 001a6000 08:03 56224      /lib/libc-2.14.90.so
:4adf3000-4adf4000 rw-p 001a8000 08:03 56224      /lib/libc-2.14.90.so
:4adf4000-4adf7000 rw-p 00000000 00:00 0 
:4ae16000-4ae19000 r-xp 00000000 08:03 67151      /lib/libdl-2.14.90.so
:4ae19000-4ae1a000 r--p 00002000 08:03 67151      /lib/libdl-2.14.90.so
:4ae1a000-4ae1b000 rw-p 00003000 08:03 67151      /lib/libdl-2.14.90.so
:4ae29000-4ae52000 r-xp 00000000 08:03 56228      /lib/libm-2.14.90.so
:4ae52000-4ae53000 r--p 00028000 08:03 56228      /lib/libm-2.14.90.so
:4ae53000-4ae54000 rw-p 00029000 08:03 56228      /lib/libm-2.14.90.so
:4ae56000-4ae72000 r-xp 00000000 08:03 19840      /lib/libgcc_s-4.6.2-20111027.so.1
:4ae72000-4ae73000 rw-p 0001b000 08:03 19840      /lib/libgcc_s-4.6.2-20111027.so.1
:4b18d000-4b18f000 r-xp 00000000 08:03 19981      /usr/lib/libXau.so.6.0.0
:4b18f000-4b190000 rw-p 00001000 08:03 19981      /usr/lib/libXau.so.6.0.0
:4b192000-4b2c7000 r-xp 00000000 08:03 67152      /usr/lib/libX11.so.6.3.0
:4b2c7000-4b2cb000 rw-p 00134000 08:03 67152      /usr/lib/libX11.so.6.3.0
:4b2cd000-4b2ea000 r-xp 00000000 08:03 67150      /usr/lib/libxcb.so.1.1.0
:4b2ea000-4b2eb000 rw-p 0001d000 08:03 67150      /usr/lib/libxcb.so.1.1.0
:4b31d000-4b32e000 r-xp 00000000 08:03 67187      /usr/lib/libXext.so.6.4.0
:4b32e000-4b32f000 r--p 00010000 08:03 67187      /usr/lib/libXext.so.6.4.0
:4b32f000-4b330000 rw-p 00011000 08:03 67187      /usr/lib/libXext.so.6.4.0
:4b876000-4b87f000 r-xp 00000000 08:03 67215      /usr/lib/libXrender.so.1.3.0
:4b87f000-4b880000 rw-p 00008000 08:03 67215      /usr/lib/libXrender.so.1.3.0
:4b8f8000-4b8ff000 r-xp 00000000 08:03 67220      /usr/lib/libXrandr.so.2.2.0
:4b8ff000-4b900000 rw-p 00006000 08:03 67220      /usr/lib/libXrandr.so.2.2.0
:b7705000-b7708000 rw-p 00000000 00:00 0 
:b7726000-b7728000 rw-p 00000000 00:00 0 
:bff7d000-bff9e000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Dec 29 04:32:11 alirohman yum[2301]: Installed: lxrandr-0.1.2-1.fc16.i686
:Dec 31 05:33:10 alirohman kernel: [   74.160020] xrandr[1951]: segfault at 2c ip 08049c7f sp bff9c6a0 error 4 in xrandr[8048000+b000]
:Dec 31 05:33:11 alirohman abrt[1967]: Saved core dump of pid 1951 (/usr/bin/xrandr) to /var/spool/abrt/ccpp-2011-12-31-05:33:10-1951 (454656 bytes)
Comment 1 Ali Rohman 2011-12-30 10:52:09 EST
Created attachment 550079 [details]
File: backtrace
Comment 2 Fedora End Of Life 2013-01-16 16:02:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-26 10:15:29 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.